petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscErrorType

passed to the PETSc error handling routines indicating if this is the first or a later call to the error handlers

### Synopsis

    typedef enum {PETSC_ERROR_INITIAL=0,PETSC_ERROR_REPEAT=1,PETSC_ERROR_IN_CXX = 2} PetscErrorType;

PETSC_ERROR_IN_CXX indicates the error was detected in C++ and an exception should be generated

### Developer Notes

This is currently used to decide when to print the detailed information about the run in PetscTraceBackErrorHandler()

### See Also

PetscError(), SETERRXX()

### Level

advanced

### Location

src/sys/error/../../../include/petscerror.h

### Examples

src/vec/vec/examples/tutorials/ex21.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages